Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000362Core InformPhrases and functional programmingpublic2010-10-27 14:032014-05-07 07:33
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.4
Product Version6F95 
Target VersionFixed in Version6L02 
Summary0000362: Inlined I6 phrases may be named, even though there is no corresponding function
DescriptionThe phrase ``bitwise oring'' is inlined, so there is no function to refer to in the corresponding Closure_* array.
Minimal Source Text To Reproduce
There is a room.
To decide which number is the bitwise or of (I - a number) and (J - a number) (this is bitwise oring): 
(- ( {I} | {J} ) -).
TagsNo tags attached.
Effect(mild) Inform 6 reports errors for invalid code
Attached Files

- Relationships
has duplicate 0000747closed I6 error when naming a to-phrase that's also an I6 inclusion 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2010-10-27 14:03 EmacsUser New Issue
2010-10-28 00:47 jmcgrew Status new => acknowledged
2010-10-30 21:49 jmcgrew Status acknowledged => confirmed
2011-09-16 09:12 EmacsUser Relationship added has duplicate 0000747
2014-01-26 10:13 graham Status confirmed => resolved
2014-01-26 10:13 graham Resolution open => fixed
2014-01-26 10:13 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker